## Dialog

### Description

The Dialog class is a special case of the Form or Window object, with the default properties already set up for a typical dialog box.

It defaults to a non-resizable, standard dialog box border, and a dialog-box background color (typically light gray for Windows and Linux, or the color from the default Aqua theme on Mac OS X). Note that, under Linux, the Window Manager determines how the request for a particular border will be interpreted; under some Window Managers, windows are always resizable.

You can use the `Wait` method to make the dialog display in modal form. This means that other windows of your application are disabled until the dialog is closed.

### Example

         ’DEMO_Dialog;DEMO
    [1]   © Sample function demonstrating use of the Dialog object
    [2]   DEMO„'Ś' ŚNEW 'Dialog' Ş DEMO.title„'Dialog Example'
    [3]   DEMO.where„4 4
    [4]   DEMO.scale„1
    [5]   DEMO.size„10 30
    [6]   ©
    [7]   © Wait for the user to close the window
    [8]   0 0˝ŚWE DEMO
         ’

### Properties

align anchors aquaadjust autodraw border caption children class color data doublebuffered dragsource droptarget enabled events extent handle maxsize menuimagelist methods minsize name opened pointer properties scale self size sourceformats targetformats tie units visible where winptr

### Methods

Click Clienttoscreen Close Create Delete Draw Focus Hide New Open Paint Resize Screentoclient Send Set Show Trigger Wait

### Callbacks

onClick onClose onDblClick onDestroy onDragDrop onDragEnd onDragEnter onDragLeave onDragOver onDragStart onFocus onHide onMenu onMouseDown onMouseMove onMouseUp onMove onOpen onPaint onResize onSend onShow onUnFocus

Topic: APLX Help : System Classes : List of Classes : Dialog

[ Previous | Next | Contents | Index ]